SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (File Transfer/Sharing)  >   Samba Vendors:   Samba.org
Samba smbd and nmbd Processing Flaws Let Remote Users Deny Service
SecurityTracker Alert ID:  1030455
SecurityTracker URL:  http://securitytracker.com/id/1030455
CVE Reference:   CVE-2014-0244, CVE-2014-3493   (Links to External Site)
Date:  Jun 23 2014
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.6.0 - 4.1.8
Description:   Two vulnerabilities were reported in Samba. A remote user can cause denial of service conditions.

A remote user can send specially crafted data to cause the target nmbd service to enter an infinite loop and consume excessive CPU resources and stop the NetBIOS name service [CVE-2014-0244].

A Red Hat user reported this vulnerability.

A remote authenticated user can submit a non-unicode request for a valid unicode path name to trigger a memory overwrite error and cause the smbd service to crash [CVE-2014-3493].

Simon Arlott reported this vulnerability.

Impact:   A remote user can cause excessive CPU consumption on the target system.

A remote authenticated user can cause the smbd service to crash.

Solution:   The vendor has issued a fix (3.6.24, 4.0.19, 4.1.9).

The vendor's advisories are available at:

http://www.samba.org/samba/security/CVE-2014-0244
http://www.samba.org/samba/security/CVE-2014-3493

Vendor URL:  www.samba.org/samba/security/CVE-2014-0244 (Links to External Site)
Cause:   Boundary error, State error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jul 9 2014 (Red Hat Issues Fix) Samba smbd and nmbd Processing Flaws Let Remote Users Deny Service
Red Hat has issued a fix for for Red Hat Enterprise Linux 5, 6, and 7.
Sep 16 2014 (Oracle Issues Fix for Solaris) Samba smbd and nmbd Processing Flaws Let Remote Users Deny Service
Oracle has issued a fix for Solaris 10 and 11.2.
May 11 2016 (HP Issues Fix) Samba smbd and nmbd Processing Flaws Let Remote Users Deny Service
HP has issued a fix for HP-UX 11.31.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC